@import '../../../../assets/styles/variables.scss';

.ch-post-container {
  position: relative;
  margin-bottom: 30px;

  & .ch-post-content {
    position: relative;
    padding: 20px 10px;
    z-index: 2;

    & h5 {
      margin-left: 20px;

      & div {
        display: inline-block;
        height: 10px;
        width: 10px;
        border-radius: 10px;
        margin-left: 10px;

        &.important-status {
          background-color: $btn-danger-bg;
        }

        &.middle-important-status {
          background-color: $btn-warning-bg;
        }

        &.not-important-status {
          background-color: $btn-success-bg;
        }
      }
    }

    & .actions {

      & button {
        margin-left: 10px;
      }
    }
    
    & .ch-post-header,
    & .ch-post-footer {
      font-size: .7rem;
      color: $ch-small-header-font-color;
      margin-bottom: 20px;
      padding: 5px 0;

      & span {
        margin-right: 15px;

        & a {
          color: $ch-small-header-font-color;

          &:hover {
            color: #000;
            text-decoration: none;
          }
        }
      }
    }

    & .ch-post-header {
      border-bottom: 1px solid darken($brand-color-dark, 10%);
    }

    & .ch-post-footer {
      border-top: 1px solid darken($brand-color-dark, 10%);
    }

    & #commentsSection {

      & #responsesNumber {
        font-weight: 600;
        width: 100%;
        display: inline-block;
        border-bottom: 3px solid darken($brand-color-dark, 10%);
        margin-bottom: 10px;
      }

      & .reply-link {
        font-size: .8rem;
        font-weight: 300;
        cursor: pointer;
        color: darken($brand-color-dark, 25%);
        padding: 0;

        & i {
          color: $ch-small-header-font-color;
        }
      }

      & .reply {

        & span {
          font-size: 1.1rem;
          font-weight: 600;
        }
      }
    }
  }

  & .ch-post-background-trans {
    position: absolute;
    top: 0;
    left: 0;
    background-color: $header_background;
    height: 100%;
    width: 100%;
    opacity: 0.7;
    z-index: 0;
  }
}
